List audio files
curl --request GET \
--url https://www.trybloom.ai/api/v1/audio \
--header 'x-api-key: <api-key>'import requests
url = "https://www.trybloom.ai/api/v1/audio"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://www.trybloom.ai/api/v1/audio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"source": "<string>",
"brandSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "<string>",
"mimeType": "<string>",
"url": "<string>",
"fileSize": 4503599627370495,
"durationMs": 0,
"width": 0,
"height": 0,
"description": "<string>",
"inLibrary": true,
"addedToLibraryAt": "2023-11-07T05:31:56Z",
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}Audio
List audio files
List audio files across your brands, newest first.
GET
/
audio
List audio files
This feature is in beta. During beta, endpoint schemas and behavior may change or be removed.
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Query Parameters
Only this brand.
Only this workspace.
Only files from this source.
Available options:
uploaded, scraped, generated Only files in (true) or not in (false) the Library.
Available options:
true, false Results per page (1–100, default 50)
Required range:
1 <= x <= 100Pagination cursor from a previous response's nextCursor
Response
OK
Show child attributes
Show child attributes
Was this page helpful?